Bug 114086 - Content Types tab gives an NPE
Content Types tab gives an NPE
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: Tzu-Mainn Chen
Jon Orris
:
Depends On:
Blocks: 106481
  Show dependency treegraph
 
Reported: 2004-01-22 10:13 EST by Jon Orris
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 16:52:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-01-22 10:13:59 EST
Description of problem:
@39613/Postgres
Clicking on the Content Types tab gives an NPE. This appears to have
been introduced sometime on 1/21. I didn't have problems after
synching in the morning, but did when I synched a different machine at
 night.  Change 39550 sounds like a good suspect:
[jorris@goodeats jorris]$ p4 describe -s 39550
Change 39550 by tzumainn@tzumainn-aplaws-ws3-dev on 2004/01/20 16:47:44
 
        default content type is now selected
 
Affected files ...
 
...
//cms/dev/src/com/arsdigita/cms/ui/type/ContentTypeAdminPane.java#8 edit



-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.111:a03c20:fa3e1e5ece -*-*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: null -*-*-*-
-*-*-*- Message 2: java.lang.NullPointerException: null -*-*-*-

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: System properties -*-*-*-
ccm.home: /var/ccm-devel/web/jorris/rickshaw
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.print.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/usr/share/java/junit.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/usr/share/java/servletapi4.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/java/j2sdk1.4.2_03/lib/tools.jar:/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 48.0
java.endorsed.dirs: /usr/java/j2sdk1.4.2_03/jre/lib/endorsed
java.ext.dirs:
/usr/java/j2sdk1.4.2_03/jre/lib/ext:/usr/java/j2sdk1.4.2_03/lib/ext:/var/ccm-devel/web/jorris/rickshaw/webapps/WEB-INF/system:/usr/share/ccm-tools/lib/security
java.home: /usr/java/j2sdk1.4.2_03/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/j2sdk1.4.2_03/jre/lib/i386/client:/usr/java/j2sdk1.4.2_03/jre/lib/i386:/usr/java/j2sdk1.4.2_03/jre/../lib/i386:/opt/oracle/product/9.2.0.1/lib:/lib:/usr/lib:/usr/local/lib:libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.4.2_03-b02
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.4
java.util.prefs.PreferencesFactory:
java.util.prefs.FileSystemPreferencesFactory
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.4.2_03
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.4.2_03-b02
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/rickshaw/conf/log4j.properties
os.arch: i386
os.name: Linux
os.version: 2.4.21-4.0.2.EL
path.separator: :
resin.home: /opt/resin/2.1.4
sun.arch.data.model: 32
sun.boot.class.path:
/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/usr/java/j2sdk1.4.2_03/jre/lib/i18n.jar:/usr/java/j2sdk1.4.2_03/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jsse.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jce.jar:/usr/java/j2sdk1.4.2_03/jre/lib/charsets.jar:/usr/java/j2sdk1.4.2_03/jre/classes
sun.boot.library.path: /usr/java/j2sdk1.4.2_03/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
sun.java2d.fontpath: 
sun.os.patch.level: unknown
user.country: US
user.dir: /opt/resin/2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.timezone: America/New_York
waf.workflow.simple.alerts_enabled: true

-*-*-*- Section: Stack trace -*-*-*-
java.lang.NullPointerException
	at
com.arsdigita.cms.ui.type.ContentTypePropertyList.properties(ContentTypePropertyList.java:62)
	at
com.arsdigita.toolbox.ui.PropertyList.generateXML(PropertyList.java:62)
	at com.arsdigita.toolbox.ui.ActionGroup.generateXML(ActionGroup.java:78)
	at com.arsdigita.toolbox.ui.Section.generateXML(Section.java:122)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.toolbox.ui.ModalPanel.generateXML(ModalPanel.java:100)
	at com.arsdigita.toolbox.ui.ModalPanel.generateXML(ModalPanel.java:100)
	at com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:80)
	at com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:65)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.Page.generateXML(Page.java:642)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:765)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:281)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:80)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:75)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:296)
	at
_packages._content_22dsection._www._admin._index__jsp._jspService(_index__jsp.java:50)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:193)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:222)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:235)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:136)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:272)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:199)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:183)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:272)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:534)


-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: JSESSIONID=aZ_qfj6BUrl_;
ad_user_login=17!1169391993274!CAjclf5vahK3X4J/aba3uw==
Host: localhost:9004
Keep-Alive: 300
Referer: http://localhost:9004/ccm/articles/admin/index.jsp
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@d0f392 = {
m_page = com.arsdigita.cms.ui.ContentSectionPage@1f7b6e1,
m_request = com.caucho.server.http.DispatchRequest@1e27074,
m_response = com.caucho.server.http.HttpResponse@46ccf,
m_pageState = com.arsdigita.bebop.FormData@26f7af = {
m_parameterDataValues = {bbp.1306.row={null, []}, bbp.1027.row={null,
[]}, bbp.798.d={asc, []}, bbp.831.row={null, []}, bbp.387.sel={null,
[]}, bbp.399.sel={null, []}, bbp.1086.row={null, []},
bbp.1246.state={null, []}, bbp.1176.sel={null, []},
bbp.1036.state={null, []}, bbp.684.sel={null, []}, bbp.433.col={null,
[]}, bbp.777.sc={null, []}, bbp.1469.sel={null, []},
bbp.930.sel={1009, []}, bbp.626.sel={null, []}, bbp.75.col={null, []},
bbp.125.col={null, []}, bbp.28.bid={null, []}, bbp.94.sel={null, []},
bbp.248.sel={null, []}, bbp.75.row={null, []}, bbp.464.col={null, []},
bbp.411.sel={null, []}, bbp.810.o={null, []}, bbp.35.fldr={null, []},
bbp.924.sel_context={, []}, bbp.276.sel={null, []}, bbp.845.row={null,
[]}, bbp.1209.sel={null, []}, bbp.28.iid={null, []},
bbp.1396.sel={null, []}, bbp.93.state={null, []}, bbp.733.sel={null,
[]}, bbp.940.stack={null, []}, page={null, []}, bbp.177.row={null,
[]}, bbp.63.srcs={null, []}, bbp.798.o={null, []}, bbp.1100.d={asc,
[]}, bbp.1362.sel={null, []}, bbp.749.sel={null, []},
bbp.1306.col={null, []}, bbp.1027.col={null, []}, bbp.s={null, []},
bbp.1100.mid={null, []}, bbp.1026.state={null, []},
bbp.229.stack={null, []}, bbp.308.row={null, []}, bbp.234.sel={null,
[]}, query={null, []}, bbp.73.sel={null, []}, bbp.698.stack={null,
[]}, bbp.1407.sel={null, []}, bbp.703.sel={null, []},
bbp.1442.sel={null, []}, bbp.1256.state={null, []},
bbp.1086.col={null, []}, g11n.enc={UTF-8, []}, bbp.474.row={null, []},
bbp.831.col={null, []}, bbp.933.stack={null, []}, bbp.1247.col={null,
[]}, bbp.418.stack={null, []}, bbp.374.stack={null, []},
bbp.1198.sel={null, []}, bbp.689.stack={[Ljava.lang.Integer;@4f3587,
[]}, bbp.177.col={null, []}, bbp.510.sel={null, []},
bbp.875.row={null, []}, bbp.784.t={null, []}, bbp.905.sel={null, []},
bbp.19.state={ 1008 , []}, single_type={null, []}, bbp.298.row={null,
[]}, bbp.941.stack={null, []}, bbp.363.sel={null, []},
bbp.652.sel={null, []}, bbp.963.sel={null, []}, bbp.220.stack={null,
[]}, bbp.992.sel={null, []}, bbp.3.pane={6, []}, bbp.568.sel={null,
[]}, bbp.771.ch={null, []}, bbp.1142.sel={null, []},
bbp.550.sel={null, []}, bbp.1247.row={null, []}, bbp.845.col={null,
[]}, bbp.341.sel={null, []}, bbp.717.sel={null, []}, bbp.1100.o={null,
[]}, bbp.433.row={null, []}, bbp.64.target={null, []},
bbp.1375.sel={null, []}, bbp.798.m={null, []}, bbp.798.col={null, []},
bbp.1125.sel={null, []}, bbp.143.row={null, []}, bbp.580.sel={null,
[]}, bbp.262.sel={null, []}, bbp.810.d={asc, []}, bbp.563.stack={null,
[]}, bbp.555.stack={null, []}, bbp.143.col={null, []},
bbp.63.act={null, []}, bbp.1155.sel={null, []}, bbp.930.state={ 1009 ,
[]}, bbp.464.row={null, []}, bbp.810.col={null, []}, privs_set={null,
[]}, bbp.542.sel={null, []}, bbp.1187.sel={null, []},
bbp.1429.sel={null, []}, bbp.20.ct={null, []}, bbp.v={null, []},
bbp.e={null, []}, bbp.1418.sel={null, []}, bbp.19.sel={1008, []},
bbp.810.mid={null, []}, bbp.298.col={null, []}, bbp.1320.col={null,
[]}, bbp.125.row={null, []}, bbp.86.sel={null, []}, bbp.592.sel={null,
[]}, bbp.i={{4, 10}, []}, bbp.613.row={null, []}, bbp.474.col={null,
[]}, bbp.308.col={null, []}, bbp.875.col={null, []},
bbp.1345.sel={null, []}, bbp.1320.mid={null, []}, bbp.50.fldr={null,
[]}, bbp.1320.d={asc, []}, bbp.1100.col={null, []}, bbp.526.sel={null,
[]}, bbp.784.c={null, []}, bbp.382.stack={null, []}, bbp.1320.o={null,
[]}, bbp.319.sel={null, []}, bbp.69.ps={20, []}, bbp.613.col={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@16bbe53,
m_locale = en_US,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 5, 6, 7, 8, 9, 11, 21, 22, 23, 24, 64, 70, 119, 120,
121, 176, 209, 221, 222, 223, 224, 225, 226, 227, 228, 229, 281, 282,
283, 284, 285, 286, 375, 376, 377, 378, 379, 380, 381, 382, 416, 417,
418, 419, 420, 421, 441, 442, 443, 444, 556, 557, 558, 559, 560, 561,
562, 563, 597, 598, 599, 600, 601, 690, 691, 692, 693, 694, 695, 696,
697, 698, 754, 755, 756, 757, 785, 825, 826, 827, 874, 934, 935, 936,
937, 938, 939, 941, 997, 999, 1000, 1001, 1002, 1003, 1004, 1005,
1006, 1219, 1220, 1221, 1222, 1223, 1224, 1225, 1226, 1227, 1228}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.bebop.RequestLocal@136834e=null,
com.arsdigita.cms.ui.folder.FolderRequestLocal@1177565=[com.arsdigita.cms.Folder:{id=1008}],
com.arsdigita.bebop.RequestLocal@82c94f=null,
com.arsdigita.cms.ui.type.ContentTypeAdminPane$SelectionRequestLocal@15d4f45=null,
com.arsdigita.bebop.RequestLocal@1a48515=null,
com.arsdigita.bebop.RequestLocal@abc2cf=null,
com.arsdigita.bebop.Page$1@1c804bf=com.arsdigita.bebop.Label@130be8c,
com.arsdigita.bebop.RequestLocal@1b7aa8=null,
com.arsdigita.bebop.RequestLocal@3f4395=null,
com.arsdigita.bebop.RequestLocal@12856b4=null,
com.arsdigita.toolbox.ui.PropertyList$1@6e63d9=[],
com.arsdigita.bebop.RequestLocal@1479e5f=null,
com.arsdigita.bebop.RequestLocal@38599=null,
com.arsdigita.bebop.RequestLocal@a07808=null,
com.arsdigita.bebop.RequestLocal@afba5d=null,
com.arsdigita.toolbox.ui.ContextBar$1@f5498f=[com.arsdigita.toolbox.ui.ContextBar$Entry@12df081,
com.arsdigita.toolbox.ui.ContextBar$Entry@108d3eb],
com.arsdigita.bebop.RequestLocal@1bb3e34=null,
com.arsdigita.bebop.List$1@eea80c=com.arsdigita.cms.ui.type.ContentTypeListModelBuilder$Model@90fc4b}
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{id=1012}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@1d21a9b
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@1bbf341=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 1012
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/articles/admin/index.jsp?g11n.enc=UTF-8&bbp.798.d=asc&bbp.3.pane=0&bbp.i=d0.1&bbp.924.sel_context=%3Cdefault%3E&bbp.e=select&bbp.v=6&bbp.19.sel=1008&bbp.689.stack=698&bbp.s=3&bbp.810.d=asc&bbp.1320.d=asc&bbp.930.sel=1009&bbp.930.state=+1009+&bbp.19.state=+1008+&bbp.1100.d=asc&bbp.69.ps=20

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/index.jsp
Query string:
bbp.798.d=asc&bbp.930.sel=1009&bbp.924.sel_context=%3Cdefault%3E&bbp.1100.d=asc&bbp.s=3&g11n.enc=UTF-8&bbp.689.stack=698&bbp.19.state=+1008+&bbp.3.pane=0&bbp.810.d=asc&bbp.930.state=+1009+&bbp.v=6&bbp.e=select&bbp.19.sel=1008&bbp.i=d0.1&bbp.1320.d=asc&bbp.69.ps=20
Method: GET
Remote user: null

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aZ_qfj6BUrl_ (expires: -1)
ad_user_login: 17!1169391993274!CAjclf5vahK3X4J/aba3uw== (expires: -1)
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Tzu-Mainn Chen 2004-01-22 13:29:49 EST
I've fixed this bug - it happened when there were no content types
selected for the section.

Note You need to log in before you can comment on or make changes to this bug.